<template>
	<div>
		<LayoutHeader
			title="Paramètre"
			backlink="Retour"
		/>

		<!-- Gérer les options générales-->
		<div class="flex gap-1 column mt-3 pb-2">
			<p><span>Gérer</span></p>
			<div class="options">
				<RouterLink id="general" to="/setLimit" class="w-100">
					<Option
						v-model="limits"
						logo="../../../src/img/rapport.png"
						title="Limite"
						desc="Définir une limite de temps par applications."
					/>
				</RouterLink>
				<hr />

				<RouterLink id="general" to="/setNotifs" class="w-100">
					<Option
						v-model="notifications"
						logo="../../../src/img/limit.png"
						title="Notifications"
						desc="Gérer les notifications envoyées."
					/>
				</RouterLink>
				<hr />

				<RouterLink id="general" to="/setAlways" class="w-100">
					<Option
						v-model="always"
						logo="../../../src/img/parental.png"
						title="Toujours"
						desc="Choisir les applications que vous voulez toujours avoir."
					/>
				</RouterLink>
			</div>
		</div>

		<!-- Gérer le Mot de passe-->
		<div class="flex gap-1 column mt-3 pb-2">
			<p><span>Mot de passe</span></p>
			<div class="options">
				<RouterLink to="/password" class="w-100">
					<Option
						v-model="mdp"
						logo="../../../src/img/rapport.png"
						title="Changer le mot de passe"
					/>
				</RouterLink>
			</div>
		</div>

		<!-- Gérer les données-->
		<div class="flex gap-1 column mt-3 pb-2">
			<p><span>Données</span></p>
			<div class="options">
				<RouterLink to="/reinitData" class="w-100">
					<Option
						v-model="data"
						logo="../../../src/img/rapport.png"
						title="Réinitialiser toutes les données"
					/>
				</RouterLink>
			</div>
		</div>
		<ButtonArea>
			<RouterLink id="deleteAccount" to="/login" class="w-100 mt-1 md center-text">
				Supprimer le compte
			</RouterLink>
		</ButtonArea>
	</div>
</template>

<script>
import Option from './Option.vue';
import ButtonArea from '@/components/ButtonArea';
import LayoutHeader from '@/components/LayoutHeader';

export default {
	name: 'Parameters',
	components: { Option, ButtonArea, LayoutHeader },
};
</script>

<style lang="scss" scoped>

.options{
	background-color: #282727;
	padding: 5px 5px 5px 20px;
}

#general{
	color: white;
}

#deleteAccount{
	color: #d44747;
}
</style>
